%{!?dist: %define dist .slc5}
Name: cern-cvi-addons
Version: 0.13
Release: 1%{?dist}
Summary: '%{name}' configures VM guests in the CVI service
Group: Applications/System
Source: %{name}-%{version}.tar.gz
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

Requires: wget
Requires: cern-config-users

%description 
'%{name}' configures an SLC guest in the CVI service:
  * it creates the necessary accounts + sudo privileges
  * it creates a Kerberos5 keytab /etc/krb5.keytab

%prep
%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 addVMAdmins        $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 landb-tag          $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 cvi-delete-context $RPM_BUILD_ROOT/%{_sbindir}

mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
install -m 755 cvi-addon   $RPM_BUILD_ROOT/%{_initrddir}/cvi
%if "%{dist}" == ".slc6" 
install -m 755 cvi-ntpdate $RPM_BUILD_ROOT/%{_initrddir}/cvi-ntpdate
%endif

mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/lib/cvi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_sbindir}/addVMAdmins
%{_sbindir}/landb-tag
%{_sbindir}/cvi-delete-context
%{_initrddir}/cvi
%if "%{dist}" == ".slc6" 
%{_initrddir}/cvi-ntpdate
%endif
%{_localstatedir}/lib/cvi
#%doc foo.txt

%post
/sbin/chkconfig --add cvi
%if "%{dist}" == ".slc6" 
/sbin/chkconfig --add cvi-ntpdate
%endif

%preun
if [ "$1" = 0 ] ; then
  #service cvi stop >/dev/null 2>&1
  /sbin/chkconfig --del cvi
%if "%{dist}" == ".slc6" 
  /sbin/chkconfig --del cvi-ntpdate
%endif
fi

%postun

%changelog
* Mon Jan 11 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.13-1
- [cvi-delete-context] Many improvements
- [SLC6] Use ntpdate to synchronize clock at boot time

* Mon Jan 11 2011 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.12-1
- [cvi-delete-context] Many improvements
- [SLC6] Use ntpdate to synchronize clock at boot time

* Thu Oct 14 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.11-1
- oops

* Thu Oct 14 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.10-1
- Use LANdb Tag to determine is the machine is created by CVI 2

* Thu Oct  7 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.9-1
- fixes, fixes...

* Thu Sep 30 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.7-1
- use /var/lib/cvi to save state

* Wed Sep 29 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.6-1
- [addVMAdmins] minor fix

* Thu Sep 23 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.5-1
- [addVMAdmins]
  - use statefile to prevent multiple invocations
  - [pre-CVI2] invoke cern-config-users to create AFS accounts, configure root access, etc
- add delete-context script

* Mon Jul 19 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.4-1
- [addVMAdmins] simplify parsing of list of admins

* Fri Jul 16 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-2
- Bump release number (no other changes)

* Thu Jul  1 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.3-1
- Fix bug affecting admins with loginnames shorter than 4 characters (like "lat"...)

* Mon Apr 26 2010 Jan van Eldik <Jan.van.Eldik@cern.ch> - 0.1-1
- initial build
